﻿@page "/paper/index"
@using ProyectoFase2.Shared.General;
@using ProyectoFase2.Shared.Models.Manager.Interpretes;
@inject NotificationService NotificationService
@inject IHTTPClientRequestService Http
@inject IJSRuntime JSRuntime

<RadzenCard Class="rz-mx-auto">

    <RadzenTabs TabPosition="@tabPosition" 
                Change=@OnTabChange
                @bind-SelectedIndex="TabsSelectedIndex">
        <Tabs>
            <RadzenTabsItem Text="Listado">
                <PaperList></PaperList>
            </RadzenTabsItem>
            <RadzenTabsItem Text="Crear">
                <PaperCreate GoFirstTab="GoFirstTab"></PaperCreate>
            </RadzenTabsItem>
        </Tabs>
    </RadzenTabs>
</RadzenCard>

@code
{
    private int TabsSelectedIndex { get; set; } = 0;
    TabPosition tabPosition = TabPosition.Top;

    private void OnTabChange(int index)
    {
        TabsSelectedIndex = index;
    }

    public void GoFirstTab()
    {
        TabsSelectedIndex = 0;

        StateHasChanged();
    }
}
